weka.core.pmml.jaxbbindings

## Class ExponentialSmoothing

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ExponentialSmoothing

-     public class ExponentialSmoothing
      extends java.lang.Object

  Java class for ExponentialSmoothing element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ExponentialSmoothing">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Level"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Trend_ExpoSmooth" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Seasonality_ExpoSmooth" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}TimeValue" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="RMSE" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="transformation" default="none">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                     <enumeration value="none"/>
                     <enumeration value="logarithmic"/>
                     <enumeration value="squareroot"/>
                   </restriction>
                 </simpleType>
               </attribute>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExponentialSmoothing()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Level` | `getLevel()` Gets the value of the level property.
    `java.lang.Double` | `getRMSE()` Gets the value of the rmse property.
    `SeasonalityExpoSmooth` | `getSeasonalityExpoSmooth()` Gets the value of the seasonalityExpoSmooth property.
    `java.util.List<TimeValue>` | `getTimeValue()` Gets the value of the timeValue property.
    `java.lang.String` | `getTransformation()` Gets the value of the transformation property.
    `TrendExpoSmooth` | `getTrendExpoSmooth()` Gets the value of the trendExpoSmooth property.
    `void` | `setLevel(Level value)` Sets the value of the level property.
    `void` | `setRMSE(java.lang.Double value)` Sets the value of the rmse property.
    `void` | `setSeasonalityExpoSmooth(SeasonalityExpoSmooth value)` Sets the value of the seasonalityExpoSmooth property.
    `void` | `setTransformation(java.lang.String value)` Sets the value of the transformation property.
    `void` | `setTrendExpoSmooth(TrendExpoSmooth value)` Sets the value of the trendExpoSmooth property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExponentialSmoothing

          public ExponentialSmoothing()

  - ### Method Detail

    - #### getLevel

          public Level getLevel()

      Gets the value of the level property.
      Returns:
        possible object is `Level`

    - #### setLevel

          public void setLevel(Level value)

      Sets the value of the level property.
      Parameters:
        `value` - allowed object is `Level`

    - #### getTrendExpoSmooth

          public TrendExpoSmooth getTrendExpoSmooth()

      Gets the value of the trendExpoSmooth property.
      Returns:
        possible object is `TrendExpoSmooth`

    - #### setTrendExpoSmooth

          public void setTrendExpoSmooth(TrendExpoSmooth value)

      Sets the value of the trendExpoSmooth property.
      Parameters:
        `value` - allowed object is `TrendExpoSmooth`

    - #### getSeasonalityExpoSmooth

          public SeasonalityExpoSmooth getSeasonalityExpoSmooth()

      Gets the value of the seasonalityExpoSmooth property.
      Returns:
        possible object is `SeasonalityExpoSmooth`

    - #### setSeasonalityExpoSmooth

          public void setSeasonalityExpoSmooth(SeasonalityExpoSmooth value)

      Sets the value of the seasonalityExpoSmooth property.
      Parameters:
        `value` - allowed object is `SeasonalityExpoSmooth`

    - #### getTimeValue

          public java.util.List<TimeValue> getTimeValue()

      Gets the value of the timeValue property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the timeValue property.

      For example, to add a new item, do as follows:

              getTimeValue().add(newItem);

      Objects of the following type(s) are allowed in the list `TimeValue`

    - #### getRMSE

          public java.lang.Double getRMSE()

      Gets the value of the rmse property.
      Returns:
        possible object is `Double`

    - #### setRMSE

          public void setRMSE(java.lang.Double value)

      Sets the value of the rmse property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTransformation

          public java.lang.String getTransformation()

      Gets the value of the transformation property.
      Returns:
        possible object is `String`

    - #### setTransformation

          public void setTransformation(java.lang.String value)

      Sets the value of the transformation property.
      Parameters:
        `value` - allowed object is `String`